ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.78 by root, Wed Jan 18 08:33:34 2006 UTC vs.
Revision 1.87 by root, Sat Jan 21 23:50:33 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA EGREP LINKER INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC CXXCPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PKG_CONFIG XFT_CONFIG PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
3051test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}' 3051test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
3052 3052
3053test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644' 3053test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
3054 3054
3055 3055
3056ac_ext=c
3057ac_cpp='$CPP $CPPFLAGS'
3058ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3059ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3060ac_compiler_gnu=$ac_cv_c_compiler_gnu
3061
3062
3063if test -z "$orig_CXXFLAGS"; then
3064 if test x$GCC = xyes && test "x$GXX" = xyes; then
3065 CXXFLAGS="-g -O3"
3066 else
3067 CXXFLAGS="-O"
3068 fi
3069 CFLAGS="$CXXFLAGS"
3070fi
3071
3072LINKER="$CXX"
3073if test x$GCC = xyes && test x$GXX = xyes; then
3074
3075echo "$as_me:$LINENO: checking for main in -lsupc++" >&5
3076echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6
3077if test "${ac_cv_lib_supcpp_main+set}" = set; then
3078 echo $ECHO_N "(cached) $ECHO_C" >&6
3079else
3080 ac_check_lib_save_LIBS=$LIBS
3081LIBS="-lsupc++ $LIBS"
3082cat >conftest.$ac_ext <<_ACEOF
3083/* confdefs.h. */
3084_ACEOF
3085cat confdefs.h >>conftest.$ac_ext
3086cat >>conftest.$ac_ext <<_ACEOF
3087/* end confdefs.h. */
3088
3089
3090int
3091main ()
3092{
3093main ();
3094 ;
3095 return 0;
3096}
3097_ACEOF
3098rm -f conftest.$ac_objext conftest$ac_exeext
3099if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3100 (eval $ac_link) 2>conftest.er1
3101 ac_status=$?
3102 grep -v '^ *+' conftest.er1 >conftest.err
3103 rm -f conftest.er1
3104 cat conftest.err >&5
3105 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3106 (exit $ac_status); } &&
3107 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3108 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3109 (eval $ac_try) 2>&5
3110 ac_status=$?
3111 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3112 (exit $ac_status); }; } &&
3113 { ac_try='test -s conftest$ac_exeext'
3114 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3115 (eval $ac_try) 2>&5
3116 ac_status=$?
3117 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3118 (exit $ac_status); }; }; then
3119 ac_cv_lib_supcpp_main=yes
3120else
3121 echo "$as_me: failed program was:" >&5
3122sed 's/^/| /' conftest.$ac_ext >&5
3123
3124ac_cv_lib_supcpp_main=no
3125fi
3126rm -f conftest.err conftest.$ac_objext \
3127 conftest$ac_exeext conftest.$ac_ext
3128LIBS=$ac_check_lib_save_LIBS
3129fi
3130echo "$as_me:$LINENO: result: $ac_cv_lib_supcpp_main" >&5
3131echo "${ECHO_T}$ac_cv_lib_supcpp_main" >&6
3132if test $ac_cv_lib_supcpp_main = yes; then
3133
3134 LINKER="$CC"
3135 LIBS="$LIBS -lsupc++"
3136
3137fi
3138
3139fi
3140LINKER=$LINKER
3141
3142
3143
3144cat >>confdefs.h <<\_ACEOF
3145#define _GNU_SOURCE 1
3146_ACEOF
3147
3148
3149case $host in
3150 *-*-solaris* )
3151
3152cat >>confdefs.h <<\_ACEOF
3153#define _XOPEN_SOURCE_EXTENDED 1
3154_ACEOF
3155
3156
3157cat >>confdefs.h <<\_ACEOF
3158#define _XOPEN_SOURCE 2
3159_ACEOF
3160
3161
3162cat >>confdefs.h <<\_ACEOF
3163#define __EXTENSIONS__ 1
3164_ACEOF
3165
3166 ;;
3167esac
3168
3169
3170ac_ext=cc
3171ac_cpp='$CXXCPP $CPPFLAGS'
3172ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3173ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3174ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3175
3176
3177
3178ac_ext=cc
3179ac_cpp='$CXXCPP $CPPFLAGS'
3180ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3181ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3182ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3183echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
3184echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
3185if test -z "$CXXCPP"; then
3186 if test "${ac_cv_prog_CXXCPP+set}" = set; then
3187 echo $ECHO_N "(cached) $ECHO_C" >&6
3188else
3189 # Double quotes because CXXCPP needs to be expanded
3190 for CXXCPP in "$CXX -E" "/lib/cpp"
3191 do
3192 ac_preproc_ok=false
3193for ac_cxx_preproc_warn_flag in '' yes
3194do
3195 # Use a header file that comes with gcc, so configuring glibc
3196 # with a fresh cross-compiler works.
3197 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3198 # <limits.h> exists even on freestanding compilers.
3199 # On the NeXT, cc -E runs the code through the compiler's parser,
3200 # not just through cpp. "Syntax error" is here to catch this case.
3201 cat >conftest.$ac_ext <<_ACEOF
3202/* confdefs.h. */
3203_ACEOF
3204cat confdefs.h >>conftest.$ac_ext
3205cat >>conftest.$ac_ext <<_ACEOF
3206/* end confdefs.h. */
3207#ifdef __STDC__
3208# include <limits.h>
3209#else
3210# include <assert.h>
3211#endif
3212 Syntax error
3213_ACEOF
3214if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3215 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3216 ac_status=$?
3217 grep -v '^ *+' conftest.er1 >conftest.err
3218 rm -f conftest.er1
3219 cat conftest.err >&5
3220 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3221 (exit $ac_status); } >/dev/null; then
3222 if test -s conftest.err; then
3223 ac_cpp_err=$ac_cxx_preproc_warn_flag
3224 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3225 else
3226 ac_cpp_err=
3227 fi
3228else
3229 ac_cpp_err=yes
3230fi
3231if test -z "$ac_cpp_err"; then
3232 :
3233else
3234 echo "$as_me: failed program was:" >&5
3235sed 's/^/| /' conftest.$ac_ext >&5
3236
3237 # Broken: fails on valid input.
3238continue
3239fi
3240rm -f conftest.err conftest.$ac_ext
3241
3242 # OK, works on sane cases. Now check whether non-existent headers
3243 # can be detected and how.
3244 cat >conftest.$ac_ext <<_ACEOF
3245/* confdefs.h. */
3246_ACEOF
3247cat confdefs.h >>conftest.$ac_ext
3248cat >>conftest.$ac_ext <<_ACEOF
3249/* end confdefs.h. */
3250#include <ac_nonexistent.h>
3251_ACEOF
3252if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3253 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3254 ac_status=$?
3255 grep -v '^ *+' conftest.er1 >conftest.err
3256 rm -f conftest.er1
3257 cat conftest.err >&5
3258 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3259 (exit $ac_status); } >/dev/null; then
3260 if test -s conftest.err; then
3261 ac_cpp_err=$ac_cxx_preproc_warn_flag
3262 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3263 else
3264 ac_cpp_err=
3265 fi
3266else
3267 ac_cpp_err=yes
3268fi
3269if test -z "$ac_cpp_err"; then
3270 # Broken: success on invalid input.
3271continue
3272else
3273 echo "$as_me: failed program was:" >&5
3274sed 's/^/| /' conftest.$ac_ext >&5
3275
3276 # Passes both tests.
3277ac_preproc_ok=:
3278break
3279fi
3280rm -f conftest.err conftest.$ac_ext
3281
3282done
3283# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3284rm -f conftest.err conftest.$ac_ext
3285if $ac_preproc_ok; then
3286 break
3287fi
3288
3289 done
3290 ac_cv_prog_CXXCPP=$CXXCPP
3291
3292fi
3293 CXXCPP=$ac_cv_prog_CXXCPP
3294else
3295 ac_cv_prog_CXXCPP=$CXXCPP
3296fi
3297echo "$as_me:$LINENO: result: $CXXCPP" >&5
3298echo "${ECHO_T}$CXXCPP" >&6
3299ac_preproc_ok=false
3300for ac_cxx_preproc_warn_flag in '' yes
3301do
3302 # Use a header file that comes with gcc, so configuring glibc
3303 # with a fresh cross-compiler works.
3304 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3305 # <limits.h> exists even on freestanding compilers.
3306 # On the NeXT, cc -E runs the code through the compiler's parser,
3307 # not just through cpp. "Syntax error" is here to catch this case.
3308 cat >conftest.$ac_ext <<_ACEOF
3309/* confdefs.h. */
3310_ACEOF
3311cat confdefs.h >>conftest.$ac_ext
3312cat >>conftest.$ac_ext <<_ACEOF
3313/* end confdefs.h. */
3314#ifdef __STDC__
3315# include <limits.h>
3316#else
3317# include <assert.h>
3318#endif
3319 Syntax error
3320_ACEOF
3321if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3322 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3323 ac_status=$?
3324 grep -v '^ *+' conftest.er1 >conftest.err
3325 rm -f conftest.er1
3326 cat conftest.err >&5
3327 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3328 (exit $ac_status); } >/dev/null; then
3329 if test -s conftest.err; then
3330 ac_cpp_err=$ac_cxx_preproc_warn_flag
3331 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3332 else
3333 ac_cpp_err=
3334 fi
3335else
3336 ac_cpp_err=yes
3337fi
3338if test -z "$ac_cpp_err"; then
3339 :
3340else
3341 echo "$as_me: failed program was:" >&5
3342sed 's/^/| /' conftest.$ac_ext >&5
3343
3344 # Broken: fails on valid input.
3345continue
3346fi
3347rm -f conftest.err conftest.$ac_ext
3348
3349 # OK, works on sane cases. Now check whether non-existent headers
3350 # can be detected and how.
3351 cat >conftest.$ac_ext <<_ACEOF
3352/* confdefs.h. */
3353_ACEOF
3354cat confdefs.h >>conftest.$ac_ext
3355cat >>conftest.$ac_ext <<_ACEOF
3356/* end confdefs.h. */
3357#include <ac_nonexistent.h>
3358_ACEOF
3359if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3360 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3361 ac_status=$?
3362 grep -v '^ *+' conftest.er1 >conftest.err
3363 rm -f conftest.er1
3364 cat conftest.err >&5
3365 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3366 (exit $ac_status); } >/dev/null; then
3367 if test -s conftest.err; then
3368 ac_cpp_err=$ac_cxx_preproc_warn_flag
3369 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
3370 else
3371 ac_cpp_err=
3372 fi
3373else
3374 ac_cpp_err=yes
3375fi
3376if test -z "$ac_cpp_err"; then
3377 # Broken: success on invalid input.
3378continue
3379else
3380 echo "$as_me: failed program was:" >&5
3381sed 's/^/| /' conftest.$ac_ext >&5
3382
3383 # Passes both tests.
3384ac_preproc_ok=:
3385break
3386fi
3387rm -f conftest.err conftest.$ac_ext
3388
3389done
3390# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3391rm -f conftest.err conftest.$ac_ext
3392if $ac_preproc_ok; then
3393 :
3394else
3395 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
3396See \`config.log' for more details." >&5
3397echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
3398See \`config.log' for more details." >&2;}
3399 { (exit 1); exit 1; }; }
3400fi
3401
3402ac_ext=cc
3403ac_cpp='$CXXCPP $CPPFLAGS'
3404ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3405ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3406ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3407 3056
3408 3057
3409echo "$as_me:$LINENO: checking for egrep" >&5 3058echo "$as_me:$LINENO: checking for egrep" >&5
3410echo $ECHO_N "checking for egrep... $ECHO_C" >&6 3059echo $ECHO_N "checking for egrep... $ECHO_C" >&6
3411if test "${ac_cv_prog_egrep+set}" = set; then 3060if test "${ac_cv_prog_egrep+set}" = set; then
3486 grep -v '^ *+' conftest.er1 >conftest.err 3135 grep -v '^ *+' conftest.er1 >conftest.err
3487 rm -f conftest.er1 3136 rm -f conftest.er1
3488 cat conftest.err >&5 3137 cat conftest.err >&5
3489 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3138 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3490 (exit $ac_status); } && 3139 (exit $ac_status); } &&
3491 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err' 3140 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3492 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 3141 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3493 (eval $ac_try) 2>&5 3142 (eval $ac_try) 2>&5
3494 ac_status=$? 3143 ac_status=$?
3495 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3144 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3496 (exit $ac_status); }; } && 3145 (exit $ac_status); }; } &&
3540 grep -v '^ *+' conftest.er1 >conftest.err 3189 grep -v '^ *+' conftest.er1 >conftest.err
3541 rm -f conftest.er1 3190 rm -f conftest.er1
3542 cat conftest.err >&5 3191 cat conftest.err >&5
3543 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3192 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3544 (exit $ac_status); } && 3193 (exit $ac_status); } &&
3545 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err' 3194 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3546 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 3195 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3547 (eval $ac_try) 2>&5 3196 (eval $ac_try) 2>&5
3548 ac_status=$? 3197 ac_status=$?
3549 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3198 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3550 (exit $ac_status); }; } && 3199 (exit $ac_status); }; } &&
3571echo "${ECHO_T}$ac_cv_search_strerror" >&6 3220echo "${ECHO_T}$ac_cv_search_strerror" >&6
3572if test "$ac_cv_search_strerror" != no; then 3221if test "$ac_cv_search_strerror" != no; then
3573 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS" 3222 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
3574 3223
3575fi 3224fi
3225
3226ac_ext=cc
3227ac_cpp='$CXXCPP $CPPFLAGS'
3228ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3229ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3230ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3231
3232
3233if test x$GCC = xyes && test x$GXX = xyes; then
3234 echo "$as_me:$LINENO: checking for working libsupc++" >&5
3235echo $ECHO_N "checking for working libsupc++... $ECHO_C" >&6
3236 save_CXX="$CXX"
3237 save_LIBS="$LIBS"
3238 CXX="$CC"
3239 LIBS="$LIBS -lsupc++"
3240 LINKER="$CC"
3241
3242cat >conftest.$ac_ext <<_ACEOF
3243/* confdefs.h. */
3244_ACEOF
3245cat confdefs.h >>conftest.$ac_ext
3246cat >>conftest.$ac_ext <<_ACEOF
3247/* end confdefs.h. */
3248struct test { }; void f() try { throw new test; } catch (...) { throw; }
3249int
3250main ()
3251{
3252
3253 ;
3254 return 0;
3255}
3256_ACEOF
3257rm -f conftest.$ac_objext conftest$ac_exeext
3258if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3259 (eval $ac_link) 2>conftest.er1
3260 ac_status=$?
3261 grep -v '^ *+' conftest.er1 >conftest.err
3262 rm -f conftest.er1
3263 cat conftest.err >&5
3264 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3265 (exit $ac_status); } &&
3266 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3267 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3268 (eval $ac_try) 2>&5
3269 ac_status=$?
3270 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3271 (exit $ac_status); }; } &&
3272 { ac_try='test -s conftest$ac_exeext'
3273 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3274 (eval $ac_try) 2>&5
3275 ac_status=$?
3276 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3277 (exit $ac_status); }; }; then
3278 echo "$as_me:$LINENO: result: ok" >&5
3279echo "${ECHO_T}ok" >&6
3280else
3281 echo "$as_me: failed program was:" >&5
3282sed 's/^/| /' conftest.$ac_ext >&5
3283
3284
3285 echo "$as_me:$LINENO: result: no, making everything bigger and slower" >&5
3286echo "${ECHO_T}no, making everything bigger and slower" >&6
3287 LIBS="$save_LIBS"
3288 LINKER="$save_CXX"
3289
3290
3291fi
3292rm -f conftest.err conftest.$ac_objext \
3293 conftest$ac_exeext conftest.$ac_ext
3294 CXX="$save_CXX"
3295fi
3296LINKER=$LINKER
3297
3298
3299ac_ext=cc
3300ac_cpp='$CXXCPP $CPPFLAGS'
3301ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3302ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3303ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3304
3305if test -z "$orig_CXXFLAGS"; then
3306 if test x$GCC = xyes && test "x$GXX" = xyes; then
3307 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs"
3308 cat >conftest.$ac_ext <<_ACEOF
3309/* confdefs.h. */
3310_ACEOF
3311cat confdefs.h >>conftest.$ac_ext
3312cat >>conftest.$ac_ext <<_ACEOF
3313/* end confdefs.h. */
3314
3315int
3316main ()
3317{
3318
3319 ;
3320 return 0;
3321}
3322_ACEOF
3323rm -f conftest.$ac_objext
3324if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3325 (eval $ac_compile) 2>conftest.er1
3326 ac_status=$?
3327 grep -v '^ *+' conftest.er1 >conftest.err
3328 rm -f conftest.er1
3329 cat conftest.err >&5
3330 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3331 (exit $ac_status); } &&
3332 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3333 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3334 (eval $ac_try) 2>&5
3335 ac_status=$?
3336 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3337 (exit $ac_status); }; } &&
3338 { ac_try='test -s conftest.$ac_objext'
3339 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3340 (eval $ac_try) 2>&5
3341 ac_status=$?
3342 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3343 (exit $ac_status); }; }; then
3344 :
3345else
3346 echo "$as_me: failed program was:" >&5
3347sed 's/^/| /' conftest.$ac_ext >&5
3348
3349CXXFLAGS="-g -O3"
3350fi
3351rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3352 else
3353 CXXFLAGS="-O"
3354 fi
3355 CFLAGS="$CXXFLAGS"
3356fi
3357
3358
3359cat >>confdefs.h <<\_ACEOF
3360#define _GNU_SOURCE 1
3361_ACEOF
3362
3363
3364case $host in
3365 *-*-solaris* )
3366
3367cat >>confdefs.h <<\_ACEOF
3368#define _XOPEN_SOURCE_EXTENDED 1
3369_ACEOF
3370
3371
3372cat >>confdefs.h <<\_ACEOF
3373#define _XOPEN_SOURCE 2
3374_ACEOF
3375
3376
3377cat >>confdefs.h <<\_ACEOF
3378#define __EXTENSIONS__ 1
3379_ACEOF
3380
3381 ;;
3382esac
3576 3383
3577 3384
3578echo "$as_me:$LINENO: checking for setlocale" >&5 3385echo "$as_me:$LINENO: checking for setlocale" >&5
3579echo $ECHO_N "checking for setlocale... $ECHO_C" >&6 3386echo $ECHO_N "checking for setlocale... $ECHO_C" >&6
3580if test "${ac_cv_func_setlocale+set}" = set; then 3387if test "${ac_cv_func_setlocale+set}" = set; then
5112fi 4919fi
5113 4920
5114 4921
5115 4922
5116 4923
4924ac_ext=cc
4925ac_cpp='$CXXCPP $CPPFLAGS'
4926ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4927ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4928ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
4929echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
4930echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
4931if test -z "$CXXCPP"; then
4932 if test "${ac_cv_prog_CXXCPP+set}" = set; then
4933 echo $ECHO_N "(cached) $ECHO_C" >&6
4934else
4935 # Double quotes because CXXCPP needs to be expanded
4936 for CXXCPP in "$CXX -E" "/lib/cpp"
4937 do
4938 ac_preproc_ok=false
4939for ac_cxx_preproc_warn_flag in '' yes
4940do
4941 # Use a header file that comes with gcc, so configuring glibc
4942 # with a fresh cross-compiler works.
4943 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4944 # <limits.h> exists even on freestanding compilers.
4945 # On the NeXT, cc -E runs the code through the compiler's parser,
4946 # not just through cpp. "Syntax error" is here to catch this case.
4947 cat >conftest.$ac_ext <<_ACEOF
4948/* confdefs.h. */
4949_ACEOF
4950cat confdefs.h >>conftest.$ac_ext
4951cat >>conftest.$ac_ext <<_ACEOF
4952/* end confdefs.h. */
4953#ifdef __STDC__
4954# include <limits.h>
4955#else
4956# include <assert.h>
4957#endif
4958 Syntax error
4959_ACEOF
4960if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4961 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4962 ac_status=$?
4963 grep -v '^ *+' conftest.er1 >conftest.err
4964 rm -f conftest.er1
4965 cat conftest.err >&5
4966 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4967 (exit $ac_status); } >/dev/null; then
4968 if test -s conftest.err; then
4969 ac_cpp_err=$ac_cxx_preproc_warn_flag
4970 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
4971 else
4972 ac_cpp_err=
4973 fi
4974else
4975 ac_cpp_err=yes
4976fi
4977if test -z "$ac_cpp_err"; then
4978 :
4979else
4980 echo "$as_me: failed program was:" >&5
4981sed 's/^/| /' conftest.$ac_ext >&5
4982
4983 # Broken: fails on valid input.
4984continue
4985fi
4986rm -f conftest.err conftest.$ac_ext
4987
4988 # OK, works on sane cases. Now check whether non-existent headers
4989 # can be detected and how.
4990 cat >conftest.$ac_ext <<_ACEOF
4991/* confdefs.h. */
4992_ACEOF
4993cat confdefs.h >>conftest.$ac_ext
4994cat >>conftest.$ac_ext <<_ACEOF
4995/* end confdefs.h. */
4996#include <ac_nonexistent.h>
4997_ACEOF
4998if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4999 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5000 ac_status=$?
5001 grep -v '^ *+' conftest.er1 >conftest.err
5002 rm -f conftest.er1
5003 cat conftest.err >&5
5004 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5005 (exit $ac_status); } >/dev/null; then
5006 if test -s conftest.err; then
5007 ac_cpp_err=$ac_cxx_preproc_warn_flag
5008 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5009 else
5010 ac_cpp_err=
5011 fi
5012else
5013 ac_cpp_err=yes
5014fi
5015if test -z "$ac_cpp_err"; then
5016 # Broken: success on invalid input.
5017continue
5018else
5019 echo "$as_me: failed program was:" >&5
5020sed 's/^/| /' conftest.$ac_ext >&5
5021
5022 # Passes both tests.
5023ac_preproc_ok=:
5024break
5025fi
5026rm -f conftest.err conftest.$ac_ext
5027
5028done
5029# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5030rm -f conftest.err conftest.$ac_ext
5031if $ac_preproc_ok; then
5032 break
5033fi
5034
5035 done
5036 ac_cv_prog_CXXCPP=$CXXCPP
5037
5038fi
5039 CXXCPP=$ac_cv_prog_CXXCPP
5040else
5041 ac_cv_prog_CXXCPP=$CXXCPP
5042fi
5043echo "$as_me:$LINENO: result: $CXXCPP" >&5
5044echo "${ECHO_T}$CXXCPP" >&6
5045ac_preproc_ok=false
5046for ac_cxx_preproc_warn_flag in '' yes
5047do
5048 # Use a header file that comes with gcc, so configuring glibc
5049 # with a fresh cross-compiler works.
5050 # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5051 # <limits.h> exists even on freestanding compilers.
5052 # On the NeXT, cc -E runs the code through the compiler's parser,
5053 # not just through cpp. "Syntax error" is here to catch this case.
5054 cat >conftest.$ac_ext <<_ACEOF
5055/* confdefs.h. */
5056_ACEOF
5057cat confdefs.h >>conftest.$ac_ext
5058cat >>conftest.$ac_ext <<_ACEOF
5059/* end confdefs.h. */
5060#ifdef __STDC__
5061# include <limits.h>
5062#else
5063# include <assert.h>
5064#endif
5065 Syntax error
5066_ACEOF
5067if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5068 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5069 ac_status=$?
5070 grep -v '^ *+' conftest.er1 >conftest.err
5071 rm -f conftest.er1
5072 cat conftest.err >&5
5073 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5074 (exit $ac_status); } >/dev/null; then
5075 if test -s conftest.err; then
5076 ac_cpp_err=$ac_cxx_preproc_warn_flag
5077 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5078 else
5079 ac_cpp_err=
5080 fi
5081else
5082 ac_cpp_err=yes
5083fi
5084if test -z "$ac_cpp_err"; then
5085 :
5086else
5087 echo "$as_me: failed program was:" >&5
5088sed 's/^/| /' conftest.$ac_ext >&5
5089
5090 # Broken: fails on valid input.
5091continue
5092fi
5093rm -f conftest.err conftest.$ac_ext
5094
5095 # OK, works on sane cases. Now check whether non-existent headers
5096 # can be detected and how.
5097 cat >conftest.$ac_ext <<_ACEOF
5098/* confdefs.h. */
5099_ACEOF
5100cat confdefs.h >>conftest.$ac_ext
5101cat >>conftest.$ac_ext <<_ACEOF
5102/* end confdefs.h. */
5103#include <ac_nonexistent.h>
5104_ACEOF
5105if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5106 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5107 ac_status=$?
5108 grep -v '^ *+' conftest.er1 >conftest.err
5109 rm -f conftest.er1
5110 cat conftest.err >&5
5111 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5112 (exit $ac_status); } >/dev/null; then
5113 if test -s conftest.err; then
5114 ac_cpp_err=$ac_cxx_preproc_warn_flag
5115 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
5116 else
5117 ac_cpp_err=
5118 fi
5119else
5120 ac_cpp_err=yes
5121fi
5122if test -z "$ac_cpp_err"; then
5123 # Broken: success on invalid input.
5124continue
5125else
5126 echo "$as_me: failed program was:" >&5
5127sed 's/^/| /' conftest.$ac_ext >&5
5128
5129 # Passes both tests.
5130ac_preproc_ok=:
5131break
5132fi
5133rm -f conftest.err conftest.$ac_ext
5134
5135done
5136# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
5137rm -f conftest.err conftest.$ac_ext
5138if $ac_preproc_ok; then
5139 :
5140else
5141 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5142See \`config.log' for more details." >&5
5143echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
5144See \`config.log' for more details." >&2;}
5145 { (exit 1); exit 1; }; }
5146fi
5147
5148ac_ext=cc
5149ac_cpp='$CXXCPP $CPPFLAGS'
5150ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5151ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5152ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
5153
5154
5117 5155
5118if test "x$ac_path_x_has_been_run" != xyes; then 5156if test "x$ac_path_x_has_been_run" != xyes; then
5119 echo "$as_me:$LINENO: checking for X" >&5 5157 echo "$as_me:$LINENO: checking for X" >&5
5120echo $ECHO_N "checking for X... $ECHO_C" >&6 5158echo $ECHO_N "checking for X... $ECHO_C" >&6
5121 5159
7173 7211
7174 7212
7175 7213
7176 7214
7177 7215
7178
7179
7180
7181
7182
7183
7184
7185
7186
7187for ac_header in \ 7216for ac_header in \
7188 assert.h \ 7217 assert.h \
7189 fcntl.h \ 7218 fcntl.h \
7190 grp.h \
7191 libc.h \
7192 lastlog.h \
7193 stdarg.h \ 7219 stdarg.h \
7194 stdlib.h \ 7220 stdlib.h \
7195 string.h \ 7221 string.h \
7196 termios.h \ 7222 termios.h \
7197 unistd.h \ 7223 unistd.h \
7198 sys/byteorder.h \ 7224 sys/byteorder.h \
7199 sys/ioctl.h \ 7225 sys/ioctl.h \
7200 sys/select.h \ 7226 sys/select.h \
7201 sys/sockio.h \ 7227 sys/sockio.h \
7202 sys/strredir.h \ 7228 sys/strredir.h \
7203 sys/stropts.h \
7204 sys/time.h \ 7229 sys/time.h \
7205 utmp.h \ 7230 stdint.h \
7206 utmpx.h \ 7231 wchar.h \
7207 stdint.h \ 7232 cwchar \
7208 pty.h \ 7233 clocale \
7209 util.h \
7210 libutil.h \
7211 wchar.h \
7212 cwchar \
7213 clocale \
7214 7234
7215do 7235do
7216as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7236as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7217if eval "test \"\${$as_ac_Header+set}\" = set"; then 7237if eval "test \"\${$as_ac_Header+set}\" = set"; then
7218 echo "$as_me:$LINENO: checking for $ac_header" >&5 7238 echo "$as_me:$LINENO: checking for $ac_header" >&5
10052 10072
10053 10073
10054 10074
10055 10075
10056 10076
10057
10058
10059
10060
10061
10062
10063
10064
10065
10066
10067for ac_func in \ 10077for ac_func in \
10068 revoke \
10069 unsetenv \ 10078 unsetenv \
10070 setutent \ 10079 setutent \
10071 seteuid \ 10080 seteuid \
10072 setresuid \ 10081 setresuid \
10073 setreuid \ 10082 setreuid \
10074 _getpty \
10075 getpt \
10076 posix_openpt \
10077 grantpt \
10078 unlockpt \
10079 isastream \
10080 on_exit \ 10083 on_exit \
10081 nanosleep \ 10084 nanosleep \
10082 updwtmp \
10083 updwtmpx \
10084 ttyslot \
10085 10085
10086do 10086do
10087as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 10087as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10088echo "$as_me:$LINENO: checking for $ac_func" >&5 10088echo "$as_me:$LINENO: checking for $ac_func" >&5
10089echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6 10089echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10181 10181
10182fi 10182fi
10183done 10183done
10184 10184
10185 10185
10186 10186UTMP_CHECK
10187if test "${ac_cv_header_utmp_h+set}" = set; then
10188 echo "$as_me:$LINENO: checking for utmp.h" >&5
10189echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6
10190if test "${ac_cv_header_utmp_h+set}" = set; then
10191 echo $ECHO_N "(cached) $ECHO_C" >&6
10192fi
10193echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5
10194echo "${ECHO_T}$ac_cv_header_utmp_h" >&6
10195else
10196 # Is the header compilable?
10197echo "$as_me:$LINENO: checking utmp.h usability" >&5
10198echo $ECHO_N "checking utmp.h usability... $ECHO_C" >&6
10199cat >conftest.$ac_ext <<_ACEOF
10200/* confdefs.h. */
10201_ACEOF
10202cat confdefs.h >>conftest.$ac_ext
10203cat >>conftest.$ac_ext <<_ACEOF
10204/* end confdefs.h. */
10205$ac_includes_default
10206#include <utmp.h>
10207_ACEOF
10208rm -f conftest.$ac_objext
10209if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10210 (eval $ac_compile) 2>conftest.er1
10211 ac_status=$?
10212 grep -v '^ *+' conftest.er1 >conftest.err
10213 rm -f conftest.er1
10214 cat conftest.err >&5
10215 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10216 (exit $ac_status); } &&
10217 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10218 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10219 (eval $ac_try) 2>&5
10220 ac_status=$?
10221 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10222 (exit $ac_status); }; } &&
10223 { ac_try='test -s conftest.$ac_objext'
10224 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10225 (eval $ac_try) 2>&5
10226 ac_status=$?
10227 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10228 (exit $ac_status); }; }; then
10229 ac_header_compiler=yes
10230else
10231 echo "$as_me: failed program was:" >&5
10232sed 's/^/| /' conftest.$ac_ext >&5
10233
10234ac_header_compiler=no
10235fi
10236rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10237echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10238echo "${ECHO_T}$ac_header_compiler" >&6
10239
10240# Is the header present?
10241echo "$as_me:$LINENO: checking utmp.h presence" >&5
10242echo $ECHO_N "checking utmp.h presence... $ECHO_C" >&6
10243cat >conftest.$ac_ext <<_ACEOF
10244/* confdefs.h. */
10245_ACEOF
10246cat confdefs.h >>conftest.$ac_ext
10247cat >>conftest.$ac_ext <<_ACEOF
10248/* end confdefs.h. */
10249#include <utmp.h>
10250_ACEOF
10251if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
10252 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
10253 ac_status=$?
10254 grep -v '^ *+' conftest.er1 >conftest.err
10255 rm -f conftest.er1
10256 cat conftest.err >&5
10257 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10258 (exit $ac_status); } >/dev/null; then
10259 if test -s conftest.err; then
10260 ac_cpp_err=$ac_cxx_preproc_warn_flag
10261 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
10262 else
10263 ac_cpp_err=
10264 fi
10265else
10266 ac_cpp_err=yes
10267fi
10268if test -z "$ac_cpp_err"; then
10269 ac_header_preproc=yes
10270else
10271 echo "$as_me: failed program was:" >&5
10272sed 's/^/| /' conftest.$ac_ext >&5
10273
10274 ac_header_preproc=no
10275fi
10276rm -f conftest.err conftest.$ac_ext
10277echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
10278echo "${ECHO_T}$ac_header_preproc" >&6
10279
10280# So? What about this header?
10281case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10282 yes:no: )
10283 { echo "$as_me:$LINENO: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&5
10284echo "$as_me: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
10285 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the compiler's result" >&5
10286echo "$as_me: WARNING: utmp.h: proceeding with the compiler's result" >&2;}
10287 ac_header_preproc=yes
10288 ;;
10289 no:yes:* )
10290 { echo "$as_me:$LINENO: WARNING: utmp.h: present but cannot be compiled" >&5
10291echo "$as_me: WARNING: utmp.h: present but cannot be compiled" >&2;}
10292 { echo "$as_me:$LINENO: WARNING: utmp.h: check for missing prerequisite headers?" >&5
10293echo "$as_me: WARNING: utmp.h: check for missing prerequisite headers?" >&2;}
10294 { echo "$as_me:$LINENO: WARNING: utmp.h: see the Autoconf documentation" >&5
10295echo "$as_me: WARNING: utmp.h: see the Autoconf documentation" >&2;}
10296 { echo "$as_me:$LINENO: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&5
10297echo "$as_me: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&2;}
10298 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the preprocessor's result" >&5
10299echo "$as_me: WARNING: utmp.h: proceeding with the preprocessor's result" >&2;}
10300 { echo "$as_me:$LINENO: WARNING: utmp.h: in the future, the compiler will take precedence" >&5
10301echo "$as_me: WARNING: utmp.h: in the future, the compiler will take precedence" >&2;}
10302 (
10303 cat <<\_ASBOX
10304## ------------------------------------------ ##
10305## Report this to the AC_PACKAGE_NAME lists. ##
10306## ------------------------------------------ ##
10307_ASBOX
10308 ) |
10309 sed "s/^/$as_me: WARNING: /" >&2
10310 ;;
10311esac
10312echo "$as_me:$LINENO: checking for utmp.h" >&5
10313echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6
10314if test "${ac_cv_header_utmp_h+set}" = set; then
10315 echo $ECHO_N "(cached) $ECHO_C" >&6
10316else
10317 ac_cv_header_utmp_h=$ac_header_preproc
10318fi
10319echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5
10320echo "${ECHO_T}$ac_cv_header_utmp_h" >&6
10321
10322fi
10323if test $ac_cv_header_utmp_h = yes; then
10324 echo "$as_me:$LINENO: checking for struct utmp" >&5
10325echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6
10326if test "${rxvt_cv_struct_utmp+set}" = set; then
10327 echo $ECHO_N "(cached) $ECHO_C" >&6
10328else
10329 cat >conftest.$ac_ext <<_ACEOF
10330/* confdefs.h. */
10331_ACEOF
10332cat confdefs.h >>conftest.$ac_ext
10333cat >>conftest.$ac_ext <<_ACEOF
10334/* end confdefs.h. */
10335#include <sys/types.h>
10336#include <stdint.h>
10337#include <utmp.h>
10338int
10339main ()
10340{
10341struct utmp ut;
10342 ;
10343 return 0;
10344}
10345_ACEOF
10346rm -f conftest.$ac_objext
10347if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10348 (eval $ac_compile) 2>conftest.er1
10349 ac_status=$?
10350 grep -v '^ *+' conftest.er1 >conftest.err
10351 rm -f conftest.er1
10352 cat conftest.err >&5
10353 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10354 (exit $ac_status); } &&
10355 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10356 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10357 (eval $ac_try) 2>&5
10358 ac_status=$?
10359 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10360 (exit $ac_status); }; } &&
10361 { ac_try='test -s conftest.$ac_objext'
10362 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10363 (eval $ac_try) 2>&5
10364 ac_status=$?
10365 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10366 (exit $ac_status); }; }; then
10367 rxvt_cv_struct_utmp=yes
10368else
10369 echo "$as_me: failed program was:" >&5
10370sed 's/^/| /' conftest.$ac_ext >&5
10371
10372rxvt_cv_struct_utmp=no
10373fi
10374rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10375fi
10376echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp" >&5
10377echo "${ECHO_T}$rxvt_cv_struct_utmp" >&6
10378if test x$rxvt_cv_struct_utmp = xyes; then
10379
10380cat >>confdefs.h <<\_ACEOF
10381#define HAVE_STRUCT_UTMP 1
10382_ACEOF
10383
10384fi
10385
10386
10387echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5
10388echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6
10389if test "${rxvt_cv_struct_utmp_host+set}" = set; then
10390 echo $ECHO_N "(cached) $ECHO_C" >&6
10391else
10392 cat >conftest.$ac_ext <<_ACEOF
10393/* confdefs.h. */
10394_ACEOF
10395cat confdefs.h >>conftest.$ac_ext
10396cat >>conftest.$ac_ext <<_ACEOF
10397/* end confdefs.h. */
10398#include <sys/types.h>
10399#include <utmp.h>
10400int
10401main ()
10402{
10403struct utmp ut; ut.ut_host;
10404 ;
10405 return 0;
10406}
10407_ACEOF
10408rm -f conftest.$ac_objext
10409if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10410 (eval $ac_compile) 2>conftest.er1
10411 ac_status=$?
10412 grep -v '^ *+' conftest.er1 >conftest.err
10413 rm -f conftest.er1
10414 cat conftest.err >&5
10415 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10416 (exit $ac_status); } &&
10417 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10418 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10419 (eval $ac_try) 2>&5
10420 ac_status=$?
10421 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10422 (exit $ac_status); }; } &&
10423 { ac_try='test -s conftest.$ac_objext'
10424 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10425 (eval $ac_try) 2>&5
10426 ac_status=$?
10427 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10428 (exit $ac_status); }; }; then
10429 rxvt_cv_struct_utmp_host=yes
10430else
10431 echo "$as_me: failed program was:" >&5
10432sed 's/^/| /' conftest.$ac_ext >&5
10433
10434rxvt_cv_struct_utmp_host=no
10435fi
10436rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10437fi
10438echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_host" >&5
10439echo "${ECHO_T}$rxvt_cv_struct_utmp_host" >&6
10440if test x$rxvt_cv_struct_utmp_host = xyes; then
10441
10442cat >>confdefs.h <<\_ACEOF
10443#define HAVE_UTMP_HOST 1
10444_ACEOF
10445
10446fi
10447
10448echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5
10449echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6
10450if test "${rxvt_cv_struct_utmp_pid+set}" = set; then
10451 echo $ECHO_N "(cached) $ECHO_C" >&6
10452else
10453 cat >conftest.$ac_ext <<_ACEOF
10454/* confdefs.h. */
10455_ACEOF
10456cat confdefs.h >>conftest.$ac_ext
10457cat >>conftest.$ac_ext <<_ACEOF
10458/* end confdefs.h. */
10459#include <sys/types.h>
10460#include <utmp.h>
10461int
10462main ()
10463{
10464struct utmp ut; ut.ut_pid;
10465 ;
10466 return 0;
10467}
10468_ACEOF
10469rm -f conftest.$ac_objext
10470if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10471 (eval $ac_compile) 2>conftest.er1
10472 ac_status=$?
10473 grep -v '^ *+' conftest.er1 >conftest.err
10474 rm -f conftest.er1
10475 cat conftest.err >&5
10476 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10477 (exit $ac_status); } &&
10478 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10479 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10480 (eval $ac_try) 2>&5
10481 ac_status=$?
10482 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10483 (exit $ac_status); }; } &&
10484 { ac_try='test -s conftest.$ac_objext'
10485 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10486 (eval $ac_try) 2>&5
10487 ac_status=$?
10488 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10489 (exit $ac_status); }; }; then
10490 rxvt_cv_struct_utmp_pid=yes
10491else
10492 echo "$as_me: failed program was:" >&5
10493sed 's/^/| /' conftest.$ac_ext >&5
10494
10495rxvt_cv_struct_utmp_pid=no
10496fi
10497rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10498fi
10499echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_pid" >&5
10500echo "${ECHO_T}$rxvt_cv_struct_utmp_pid" >&6
10501if test x$rxvt_cv_struct_utmp_pid = xyes; then
10502
10503cat >>confdefs.h <<\_ACEOF
10504#define HAVE_UTMP_PID 1
10505_ACEOF
10506
10507fi
10508
10509fi
10510
10511
10512
10513if test "${ac_cv_header_utmpx_h+set}" = set; then
10514 echo "$as_me:$LINENO: checking for utmpx.h" >&5
10515echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6
10516if test "${ac_cv_header_utmpx_h+set}" = set; then
10517 echo $ECHO_N "(cached) $ECHO_C" >&6
10518fi
10519echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5
10520echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6
10521else
10522 # Is the header compilable?
10523echo "$as_me:$LINENO: checking utmpx.h usability" >&5
10524echo $ECHO_N "checking utmpx.h usability... $ECHO_C" >&6
10525cat >conftest.$ac_ext <<_ACEOF
10526/* confdefs.h. */
10527_ACEOF
10528cat confdefs.h >>conftest.$ac_ext
10529cat >>conftest.$ac_ext <<_ACEOF
10530/* end confdefs.h. */
10531$ac_includes_default
10532#include <utmpx.h>
10533_ACEOF
10534rm -f conftest.$ac_objext
10535if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10536 (eval $ac_compile) 2>conftest.er1
10537 ac_status=$?
10538 grep -v '^ *+' conftest.er1 >conftest.err
10539 rm -f conftest.er1
10540 cat conftest.err >&5
10541 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10542 (exit $ac_status); } &&
10543 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10544 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10545 (eval $ac_try) 2>&5
10546 ac_status=$?
10547 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10548 (exit $ac_status); }; } &&
10549 { ac_try='test -s conftest.$ac_objext'
10550 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10551 (eval $ac_try) 2>&5
10552 ac_status=$?
10553 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10554 (exit $ac_status); }; }; then
10555 ac_header_compiler=yes
10556else
10557 echo "$as_me: failed program was:" >&5
10558sed 's/^/| /' conftest.$ac_ext >&5
10559
10560ac_header_compiler=no
10561fi
10562rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10563echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10564echo "${ECHO_T}$ac_header_compiler" >&6
10565
10566# Is the header present?
10567echo "$as_me:$LINENO: checking utmpx.h presence" >&5
10568echo $ECHO_N "checking utmpx.h presence... $ECHO_C" >&6
10569cat >conftest.$ac_ext <<_ACEOF
10570/* confdefs.h. */
10571_ACEOF
10572cat confdefs.h >>conftest.$ac_ext
10573cat >>conftest.$ac_ext <<_ACEOF
10574/* end confdefs.h. */
10575#include <utmpx.h>
10576_ACEOF
10577if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
10578 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
10579 ac_status=$?
10580 grep -v '^ *+' conftest.er1 >conftest.err
10581 rm -f conftest.er1
10582 cat conftest.err >&5
10583 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10584 (exit $ac_status); } >/dev/null; then
10585 if test -s conftest.err; then
10586 ac_cpp_err=$ac_cxx_preproc_warn_flag
10587 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
10588 else
10589 ac_cpp_err=
10590 fi
10591else
10592 ac_cpp_err=yes
10593fi
10594if test -z "$ac_cpp_err"; then
10595 ac_header_preproc=yes
10596else
10597 echo "$as_me: failed program was:" >&5
10598sed 's/^/| /' conftest.$ac_ext >&5
10599
10600 ac_header_preproc=no
10601fi
10602rm -f conftest.err conftest.$ac_ext
10603echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
10604echo "${ECHO_T}$ac_header_preproc" >&6
10605
10606# So? What about this header?
10607case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10608 yes:no: )
10609 { echo "$as_me:$LINENO: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&5
10610echo "$as_me: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
10611 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the compiler's result" >&5
10612echo "$as_me: WARNING: utmpx.h: proceeding with the compiler's result" >&2;}
10613 ac_header_preproc=yes
10614 ;;
10615 no:yes:* )
10616 { echo "$as_me:$LINENO: WARNING: utmpx.h: present but cannot be compiled" >&5
10617echo "$as_me: WARNING: utmpx.h: present but cannot be compiled" >&2;}
10618 { echo "$as_me:$LINENO: WARNING: utmpx.h: check for missing prerequisite headers?" >&5
10619echo "$as_me: WARNING: utmpx.h: check for missing prerequisite headers?" >&2;}
10620 { echo "$as_me:$LINENO: WARNING: utmpx.h: see the Autoconf documentation" >&5
10621echo "$as_me: WARNING: utmpx.h: see the Autoconf documentation" >&2;}
10622 { echo "$as_me:$LINENO: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&5
10623echo "$as_me: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&2;}
10624 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the preprocessor's result" >&5
10625echo "$as_me: WARNING: utmpx.h: proceeding with the preprocessor's result" >&2;}
10626 { echo "$as_me:$LINENO: WARNING: utmpx.h: in the future, the compiler will take precedence" >&5
10627echo "$as_me: WARNING: utmpx.h: in the future, the compiler will take precedence" >&2;}
10628 (
10629 cat <<\_ASBOX
10630## ------------------------------------------ ##
10631## Report this to the AC_PACKAGE_NAME lists. ##
10632## ------------------------------------------ ##
10633_ASBOX
10634 ) |
10635 sed "s/^/$as_me: WARNING: /" >&2
10636 ;;
10637esac
10638echo "$as_me:$LINENO: checking for utmpx.h" >&5
10639echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6
10640if test "${ac_cv_header_utmpx_h+set}" = set; then
10641 echo $ECHO_N "(cached) $ECHO_C" >&6
10642else
10643 ac_cv_header_utmpx_h=$ac_header_preproc
10644fi
10645echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5
10646echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6
10647
10648fi
10649if test $ac_cv_header_utmpx_h = yes; then
10650 echo "$as_me:$LINENO: checking for struct utmpx" >&5
10651echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6
10652if test "${rxvt_cv_struct_utmpx+set}" = set; then
10653 echo $ECHO_N "(cached) $ECHO_C" >&6
10654else
10655 cat >conftest.$ac_ext <<_ACEOF
10656/* confdefs.h. */
10657_ACEOF
10658cat confdefs.h >>conftest.$ac_ext
10659cat >>conftest.$ac_ext <<_ACEOF
10660/* end confdefs.h. */
10661#include <sys/types.h>
10662#include <utmpx.h>
10663int
10664main ()
10665{
10666struct utmpx ut;
10667 ;
10668 return 0;
10669}
10670_ACEOF
10671rm -f conftest.$ac_objext
10672if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10673 (eval $ac_compile) 2>conftest.er1
10674 ac_status=$?
10675 grep -v '^ *+' conftest.er1 >conftest.err
10676 rm -f conftest.er1
10677 cat conftest.err >&5
10678 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10679 (exit $ac_status); } &&
10680 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10681 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10682 (eval $ac_try) 2>&5
10683 ac_status=$?
10684 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10685 (exit $ac_status); }; } &&
10686 { ac_try='test -s conftest.$ac_objext'
10687 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10688 (eval $ac_try) 2>&5
10689 ac_status=$?
10690 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10691 (exit $ac_status); }; }; then
10692 rxvt_cv_struct_utmpx=yes
10693else
10694 echo "$as_me: failed program was:" >&5
10695sed 's/^/| /' conftest.$ac_ext >&5
10696
10697rxvt_cv_struct_utmpx=no
10698fi
10699rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10700fi
10701echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx" >&5
10702echo "${ECHO_T}$rxvt_cv_struct_utmpx" >&6
10703if test x$rxvt_cv_struct_utmpx = xyes; then
10704
10705cat >>confdefs.h <<\_ACEOF
10706#define HAVE_STRUCT_UTMPX 1
10707_ACEOF
10708
10709fi
10710
10711
10712echo "$as_me:$LINENO: checking for host in utmpx struct" >&5
10713echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6
10714if test "${rxvt_cv_struct_utmpx_host+set}" = set; then
10715 echo $ECHO_N "(cached) $ECHO_C" >&6
10716else
10717 cat >conftest.$ac_ext <<_ACEOF
10718/* confdefs.h. */
10719_ACEOF
10720cat confdefs.h >>conftest.$ac_ext
10721cat >>conftest.$ac_ext <<_ACEOF
10722/* end confdefs.h. */
10723#include <sys/types.h>
10724#include <utmpx.h>
10725int
10726main ()
10727{
10728struct utmpx utx; utx.ut_host;
10729 ;
10730 return 0;
10731}
10732_ACEOF
10733rm -f conftest.$ac_objext
10734if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10735 (eval $ac_compile) 2>conftest.er1
10736 ac_status=$?
10737 grep -v '^ *+' conftest.er1 >conftest.err
10738 rm -f conftest.er1
10739 cat conftest.err >&5
10740 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10741 (exit $ac_status); } &&
10742 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10743 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10744 (eval $ac_try) 2>&5
10745 ac_status=$?
10746 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10747 (exit $ac_status); }; } &&
10748 { ac_try='test -s conftest.$ac_objext'
10749 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10750 (eval $ac_try) 2>&5
10751 ac_status=$?
10752 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10753 (exit $ac_status); }; }; then
10754 rxvt_cv_struct_utmpx_host=yes
10755else
10756 echo "$as_me: failed program was:" >&5
10757sed 's/^/| /' conftest.$ac_ext >&5
10758
10759rxvt_cv_struct_utmpx_host=no
10760fi
10761rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10762fi
10763echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_host" >&5
10764echo "${ECHO_T}$rxvt_cv_struct_utmpx_host" >&6
10765if test x$rxvt_cv_struct_utmpx_host = xyes; then
10766
10767cat >>confdefs.h <<\_ACEOF
10768#define HAVE_UTMPX_HOST 1
10769_ACEOF
10770
10771fi
10772
10773echo "$as_me:$LINENO: checking for session in utmpx struct" >&5
10774echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6
10775if test "${rxvt_cv_struct_utmpx_session+set}" = set; then
10776 echo $ECHO_N "(cached) $ECHO_C" >&6
10777else
10778 cat >conftest.$ac_ext <<_ACEOF
10779/* confdefs.h. */
10780_ACEOF
10781cat confdefs.h >>conftest.$ac_ext
10782cat >>conftest.$ac_ext <<_ACEOF
10783/* end confdefs.h. */
10784#include <sys/types.h>
10785#include <utmpx.h>
10786int
10787main ()
10788{
10789struct utmpx utx; utx.ut_session;
10790 ;
10791 return 0;
10792}
10793_ACEOF
10794rm -f conftest.$ac_objext
10795if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10796 (eval $ac_compile) 2>conftest.er1
10797 ac_status=$?
10798 grep -v '^ *+' conftest.er1 >conftest.err
10799 rm -f conftest.er1
10800 cat conftest.err >&5
10801 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10802 (exit $ac_status); } &&
10803 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10804 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10805 (eval $ac_try) 2>&5
10806 ac_status=$?
10807 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10808 (exit $ac_status); }; } &&
10809 { ac_try='test -s conftest.$ac_objext'
10810 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10811 (eval $ac_try) 2>&5
10812 ac_status=$?
10813 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10814 (exit $ac_status); }; }; then
10815 rxvt_cv_struct_utmpx_session=yes
10816else
10817 echo "$as_me: failed program was:" >&5
10818sed 's/^/| /' conftest.$ac_ext >&5
10819
10820rxvt_cv_struct_utmpx_session=no
10821fi
10822rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10823fi
10824echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_session" >&5
10825echo "${ECHO_T}$rxvt_cv_struct_utmpx_session" >&6
10826if test x$rxvt_cv_struct_utmpx_session = xyes; then
10827
10828cat >>confdefs.h <<\_ACEOF
10829#define HAVE_UTMPX_SESSION 1
10830_ACEOF
10831
10832fi
10833
10834fi
10835
10836
10837echo "$as_me:$LINENO: checking for struct lastlog" >&5
10838echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6
10839if test "${rxvt_cv_struct_lastlog+set}" = set; then
10840 echo $ECHO_N "(cached) $ECHO_C" >&6
10841else
10842 cat >conftest.$ac_ext <<_ACEOF
10843/* confdefs.h. */
10844_ACEOF
10845cat confdefs.h >>conftest.$ac_ext
10846cat >>conftest.$ac_ext <<_ACEOF
10847/* end confdefs.h. */
10848#include <sys/types.h>
10849#include <utmp.h>
10850#ifdef HAVE_LASTLOG_H
10851#include <lastlog.h>
10852#endif
10853
10854int
10855main ()
10856{
10857struct lastlog ll;
10858 ;
10859 return 0;
10860}
10861_ACEOF
10862rm -f conftest.$ac_objext
10863if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10864 (eval $ac_compile) 2>conftest.er1
10865 ac_status=$?
10866 grep -v '^ *+' conftest.er1 >conftest.err
10867 rm -f conftest.er1
10868 cat conftest.err >&5
10869 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10870 (exit $ac_status); } &&
10871 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10872 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10873 (eval $ac_try) 2>&5
10874 ac_status=$?
10875 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10876 (exit $ac_status); }; } &&
10877 { ac_try='test -s conftest.$ac_objext'
10878 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10879 (eval $ac_try) 2>&5
10880 ac_status=$?
10881 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10882 (exit $ac_status); }; }; then
10883 rxvt_cv_struct_lastlog=yes
10884else
10885 echo "$as_me: failed program was:" >&5
10886sed 's/^/| /' conftest.$ac_ext >&5
10887
10888rxvt_cv_struct_lastlog=no
10889fi
10890rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10891fi
10892echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlog" >&5
10893echo "${ECHO_T}$rxvt_cv_struct_lastlog" >&6
10894if test x$rxvt_cv_struct_lastlog = xyes; then
10895
10896cat >>confdefs.h <<\_ACEOF
10897#define HAVE_STRUCT_LASTLOG 1
10898_ACEOF
10899
10900fi
10901
10902echo "$as_me:$LINENO: checking for struct lastlogx" >&5
10903echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6
10904if test "${rxvt_cv_struct_lastlogx+set}" = set; then
10905 echo $ECHO_N "(cached) $ECHO_C" >&6
10906else
10907 cat >conftest.$ac_ext <<_ACEOF
10908/* confdefs.h. */
10909_ACEOF
10910cat confdefs.h >>conftest.$ac_ext
10911cat >>conftest.$ac_ext <<_ACEOF
10912/* end confdefs.h. */
10913#include <sys/types.h>
10914#include <utmpx.h>
10915#ifdef HAVE_LASTLOG_H
10916#include <lastlog.h>
10917#endif
10918
10919int
10920main ()
10921{
10922struct lastlogx ll;
10923 ;
10924 return 0;
10925}
10926_ACEOF
10927rm -f conftest.$ac_objext
10928if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10929 (eval $ac_compile) 2>conftest.er1
10930 ac_status=$?
10931 grep -v '^ *+' conftest.er1 >conftest.err
10932 rm -f conftest.er1
10933 cat conftest.err >&5
10934 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10935 (exit $ac_status); } &&
10936 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10937 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10938 (eval $ac_try) 2>&5
10939 ac_status=$?
10940 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10941 (exit $ac_status); }; } &&
10942 { ac_try='test -s conftest.$ac_objext'
10943 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10944 (eval $ac_try) 2>&5
10945 ac_status=$?
10946 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10947 (exit $ac_status); }; }; then
10948 rxvt_cv_struct_lastlogx=yes
10949else
10950 echo "$as_me: failed program was:" >&5
10951sed 's/^/| /' conftest.$ac_ext >&5
10952
10953rxvt_cv_struct_lastlogx=no
10954fi
10955rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10956fi
10957echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlogx" >&5
10958echo "${ECHO_T}$rxvt_cv_struct_lastlogx" >&6
10959if test x$rxvt_cv_struct_lastlogx = xyes; then
10960
10961cat >>confdefs.h <<\_ACEOF
10962#define HAVE_STRUCT_LASTLOGX 1
10963_ACEOF
10964
10965fi
10966
10967
10968echo "$as_me:$LINENO: checking where utmp is located" >&5
10969echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6
10970if test "${rxvt_cv_path_utmp+set}" = set; then
10971 echo $ECHO_N "(cached) $ECHO_C" >&6
10972else
10973 if test "$cross_compiling" = yes; then
10974 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&5
10975echo "$as_me: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&2;}
10976else
10977 cat >conftest.$ac_ext <<_ACEOF
10978/* confdefs.h. */
10979_ACEOF
10980cat confdefs.h >>conftest.$ac_ext
10981cat >>conftest.$ac_ext <<_ACEOF
10982/* end confdefs.h. */
10983#include <stdio.h>
10984#include <sys/types.h>
10985#include <utmp.h>
10986#include <errno.h>
10987main()
10988{
10989 char **u, *utmplist[] = {
10990 "/var/run/utmp", "/var/adm/utmp", "/etc/utmp", "/usr/etc/utmp", "/usr/adm/utmp", NULL };
10991 FILE *a, *f=fopen("conftestval", "w");
10992 if (!f) exit(1);
10993#ifdef UTMP_FILE
10994 fprintf(f, "%s\n", UTMP_FILE);
10995 exit(0);
10996#endif
10997#ifdef _PATH_UTMP
10998 fprintf(f, "%s\n", _PATH_UTMP);
10999 exit(0);
11000#endif
11001 for (u = utmplist; *u; u++) {
11002 if ((a = fopen(*u, "r")) != NULL || errno == EACCES) {
11003 fprintf(f, "%s\n", *u);
11004 exit(0);
11005 }
11006 }
11007 exit(0);
11008}
11009_ACEOF
11010rm -f conftest$ac_exeext
11011if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11012 (eval $ac_link) 2>&5
11013 ac_status=$?
11014 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11015 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11016 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11017 (eval $ac_try) 2>&5
11018 ac_status=$?
11019 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11020 (exit $ac_status); }; }; then
11021 rxvt_cv_path_utmp=`cat conftestval`
11022else
11023 echo "$as_me: program exited with status $ac_status" >&5
11024echo "$as_me: failed program was:" >&5
11025sed 's/^/| /' conftest.$ac_ext >&5
11026
11027( exit $ac_status )
11028rxvt_cv_path_utmp=
11029fi
11030rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11031fi
11032fi
11033echo "$as_me:$LINENO: result: $rxvt_cv_path_utmp" >&5
11034echo "${ECHO_T}$rxvt_cv_path_utmp" >&6
11035if test x$rxvt_cv_path_utmp != x; then
11036
11037cat >>confdefs.h <<_ACEOF
11038#define RXVT_UTMP_FILE "$rxvt_cv_path_utmp"
11039_ACEOF
11040
11041fi
11042
11043
11044echo "$as_me:$LINENO: checking where utmpx is located" >&5
11045echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6
11046if test "${rxvt_cv_path_utmpx+set}" = set; then
11047 echo $ECHO_N "(cached) $ECHO_C" >&6
11048else
11049 if test "$cross_compiling" = yes; then
11050 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&5
11051echo "$as_me: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&2;}
11052else
11053 cat >conftest.$ac_ext <<_ACEOF
11054/* confdefs.h. */
11055_ACEOF
11056cat confdefs.h >>conftest.$ac_ext
11057cat >>conftest.$ac_ext <<_ACEOF
11058/* end confdefs.h. */
11059#include <stdio.h>
11060#include <sys/types.h>
11061#include <utmpx.h>
11062#include <errno.h>
11063#include <sys/stat.h>
11064#ifdef HAVE_STRING_H
11065#include <string.h>
11066#endif
11067main()
11068{
11069 char **u, *p, *utmplist[] = {
11070#ifdef UTMPX_FILE
11071 UTMPX_FILE,
11072#endif
11073#ifdef _PATH_UTMPX
11074 _PATH_UTMPX,
11075#endif
11076 "/var/adm/utmpx", "/etc/utmpx", NULL };
11077 FILE *a, *f=fopen("conftestval", "w");
11078 struct stat statu, statux;
11079 if (!f) exit(1);
11080 for (u = utmplist; *u; u++) {
11081 if ((a = fopen(*u, "r")) != NULL || errno == EACCES) {
11082 if (stat(*u, &statux) < 0)
11083 continue;
11084 p = strdup(*u);
11085 p[strlen(p) - 1] = '\0';
11086 if (stat(p, &statu) >= 0
11087 && (statu.st_mtime - statux.st_mtime > 86400))
11088 continue;
11089 fprintf(f, "%s\n", *u);
11090 exit(0);
11091 }
11092 }
11093 exit(0);
11094}
11095_ACEOF
11096rm -f conftest$ac_exeext
11097if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11098 (eval $ac_link) 2>&5
11099 ac_status=$?
11100 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11101 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11102 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11103 (eval $ac_try) 2>&5
11104 ac_status=$?
11105 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11106 (exit $ac_status); }; }; then
11107 rxvt_cv_path_utmpx=`cat conftestval`
11108else
11109 echo "$as_me: program exited with status $ac_status" >&5
11110echo "$as_me: failed program was:" >&5
11111sed 's/^/| /' conftest.$ac_ext >&5
11112
11113( exit $ac_status )
11114rxvt_cv_path_utmpx=
11115fi
11116rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11117fi
11118fi
11119echo "$as_me:$LINENO: result: $rxvt_cv_path_utmpx" >&5
11120echo "${ECHO_T}$rxvt_cv_path_utmpx" >&6
11121if test x$rxvt_cv_path_utmpx != x; then
11122
11123cat >>confdefs.h <<_ACEOF
11124#define RXVT_UTMPX_FILE "$rxvt_cv_path_utmpx"
11125_ACEOF
11126
11127fi
11128
11129
11130echo "$as_me:$LINENO: checking where wtmp is located" >&5
11131echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6
11132if test "${rxvt_cv_path_wtmp+set}" = set; then
11133 echo $ECHO_N "(cached) $ECHO_C" >&6
11134else
11135 if test "$cross_compiling" = yes; then
11136 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&5
11137echo "$as_me: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&2;}
11138else
11139 cat >conftest.$ac_ext <<_ACEOF
11140/* confdefs.h. */
11141_ACEOF
11142cat confdefs.h >>conftest.$ac_ext
11143cat >>conftest.$ac_ext <<_ACEOF
11144/* end confdefs.h. */
11145#include <stdio.h>
11146#include <sys/types.h>
11147#ifdef HAVE_UTMP_H
11148#include <utmp.h>
11149#endif
11150#include <errno.h>
11151main()
11152{
11153 char **w, *wtmplist[] = {
11154 "/var/log/wtmp", "/var/adm/wtmp", "/etc/wtmp", "/usr/etc/wtmp", "/usr/adm/wtmp", NULL };
11155 FILE *a, *f=fopen("conftestval", "w");
11156 if (!f) exit(1);
11157#ifdef WTMP_FILE
11158 fprintf(f, "%s\n", WTMP_FILE);
11159 exit(0);
11160#endif
11161#ifdef _PATH_WTMP
11162 fprintf(f, "%s\n", _PATH_WTMP);
11163 exit(0);
11164#endif
11165 for (w = wtmplist; *w; w++) {
11166 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
11167 fprintf(f, "%s\n", *w);
11168 exit(0);
11169 }
11170 }
11171 exit(0);
11172}
11173_ACEOF
11174rm -f conftest$ac_exeext
11175if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11176 (eval $ac_link) 2>&5
11177 ac_status=$?
11178 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11179 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11180 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11181 (eval $ac_try) 2>&5
11182 ac_status=$?
11183 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11184 (exit $ac_status); }; }; then
11185 rxvt_cv_path_wtmp=`cat conftestval`
11186else
11187 echo "$as_me: program exited with status $ac_status" >&5
11188echo "$as_me: failed program was:" >&5
11189sed 's/^/| /' conftest.$ac_ext >&5
11190
11191( exit $ac_status )
11192rxvt_cv_path_wtmp=
11193fi
11194rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11195fi
11196fi
11197echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmp" >&5
11198echo "${ECHO_T}$rxvt_cv_path_wtmp" >&6
11199if test x$rxvt_cv_path_wtmp != x; then
11200
11201cat >>confdefs.h <<_ACEOF
11202#define RXVT_WTMP_FILE "$rxvt_cv_path_wtmp"
11203_ACEOF
11204
11205fi
11206
11207echo "$as_me:$LINENO: checking where wtmpx is located" >&5
11208echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6
11209if test "${rxvt_cv_path_wtmpx+set}" = set; then
11210 echo $ECHO_N "(cached) $ECHO_C" >&6
11211else
11212 if test "$cross_compiling" = yes; then
11213 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&5
11214echo "$as_me: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&2;}
11215else
11216 cat >conftest.$ac_ext <<_ACEOF
11217/* confdefs.h. */
11218_ACEOF
11219cat confdefs.h >>conftest.$ac_ext
11220cat >>conftest.$ac_ext <<_ACEOF
11221/* end confdefs.h. */
11222#include <stdio.h>
11223#ifdef HAVE_UTMPX_H
11224#include <utmpx.h>
11225#endif
11226#include <errno.h>
11227main()
11228{
11229 char **w, *wtmplist[] = {
11230 "/var/log/wtmpx", "/var/adm/wtmpx", NULL };
11231 FILE *a, *f=fopen("conftestval", "w");
11232 if (!f) exit(1);
11233#ifdef WTMPX_FILE
11234 fprintf(f, "%s\n", WTMPX_FILE);
11235 exit(0);
11236#endif
11237#ifdef _PATH_WTMPX
11238 fprintf(f, "%s\n", _PATH_WTMPX);
11239 exit(0);
11240#endif
11241 for (w = wtmplist; *w; w++) {
11242 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
11243 fprintf(f, "%s\n", *w);
11244 exit(0);
11245 }
11246 }
11247 exit(0);
11248}
11249_ACEOF
11250rm -f conftest$ac_exeext
11251if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11252 (eval $ac_link) 2>&5
11253 ac_status=$?
11254 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11255 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11256 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11257 (eval $ac_try) 2>&5
11258 ac_status=$?
11259 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11260 (exit $ac_status); }; }; then
11261 rxvt_cv_path_wtmpx=`cat conftestval`
11262else
11263 echo "$as_me: program exited with status $ac_status" >&5
11264echo "$as_me: failed program was:" >&5
11265sed 's/^/| /' conftest.$ac_ext >&5
11266
11267( exit $ac_status )
11268rxvt_cv_path_wtmpx=
11269fi
11270rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11271fi
11272fi
11273echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmpx" >&5
11274echo "${ECHO_T}$rxvt_cv_path_wtmpx" >&6
11275if test x$rxvt_cv_path_wtmpx != x; then
11276
11277cat >>confdefs.h <<_ACEOF
11278#define RXVT_WTMPX_FILE "$rxvt_cv_path_wtmpx"
11279_ACEOF
11280
11281fi
11282
11283echo "$as_me:$LINENO: checking where lastlog is located" >&5
11284echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6
11285if test "${rxvt_cv_path_lastlog+set}" = set; then
11286 echo $ECHO_N "(cached) $ECHO_C" >&6
11287else
11288 if test "$cross_compiling" = yes; then
11289 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&5
11290echo "$as_me: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&2;}
11291else
11292 cat >conftest.$ac_ext <<_ACEOF
11293/* confdefs.h. */
11294_ACEOF
11295cat confdefs.h >>conftest.$ac_ext
11296cat >>conftest.$ac_ext <<_ACEOF
11297/* end confdefs.h. */
11298#include <stdio.h>
11299#include <sys/types.h>
11300#ifdef HAVE_UTMPX_H
11301#include <utmpx.h>
11302#elif defined(HAVE_UTMP_H)
11303#include <utmp.h>
11304#endif
11305#ifdef HAVE_LASTLOG_H
11306#include <lastlog.h>
11307#endif
11308#include <errno.h>
11309main()
11310{
11311 char **w, *lastloglist[] = { "/var/log/lastlog", NULL };
11312 FILE *a, *f=fopen("conftestval", "w");
11313 if (!f) exit(1);
11314#ifdef LASTLOG_FILE
11315 fprintf(f, "%s\n", LASTLOG_FILE);
11316 exit(0);
11317#endif
11318#ifdef _PATH_LASTLOG
11319 fprintf(f, "%s\n", _PATH_LASTLOG);
11320 exit(0);
11321#endif
11322 for (w = lastloglist; *w; w++) {
11323 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
11324 fprintf(f, "%s\n", *w);
11325 exit(0);
11326 }
11327 }
11328 exit(0);
11329}
11330_ACEOF
11331rm -f conftest$ac_exeext
11332if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11333 (eval $ac_link) 2>&5
11334 ac_status=$?
11335 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11336 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11337 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11338 (eval $ac_try) 2>&5
11339 ac_status=$?
11340 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11341 (exit $ac_status); }; }; then
11342 rxvt_cv_path_lastlog=`cat conftestval`
11343else
11344 echo "$as_me: program exited with status $ac_status" >&5
11345echo "$as_me: failed program was:" >&5
11346sed 's/^/| /' conftest.$ac_ext >&5
11347
11348( exit $ac_status )
11349rxvt_cv_path_lastlog=
11350fi
11351rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11352fi
11353fi
11354echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlog" >&5
11355echo "${ECHO_T}$rxvt_cv_path_lastlog" >&6
11356if test x$rxvt_cv_path_lastlog != x; then
11357
11358cat >>confdefs.h <<_ACEOF
11359#define RXVT_LASTLOG_FILE "$rxvt_cv_path_lastlog"
11360_ACEOF
11361
11362 if test -d "$rxvt_cv_path_lastlog"; then
11363
11364cat >>confdefs.h <<\_ACEOF
11365#define LASTLOG_IS_DIR 1
11366_ACEOF
11367
11368 fi
11369fi
11370
11371echo "$as_me:$LINENO: checking where lastlogx is located" >&5
11372echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6
11373if test "${rxvt_cv_path_lastlogx+set}" = set; then
11374 echo $ECHO_N "(cached) $ECHO_C" >&6
11375else
11376 if test "$cross_compiling" = yes; then
11377 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&5
11378echo "$as_me: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&2;}
11379else
11380 cat >conftest.$ac_ext <<_ACEOF
11381/* confdefs.h. */
11382_ACEOF
11383cat confdefs.h >>conftest.$ac_ext
11384cat >>conftest.$ac_ext <<_ACEOF
11385/* end confdefs.h. */
11386#include <stdio.h>
11387#ifdef HAVE_UTMPX_H
11388#include <utmpx.h>
11389#endif
11390#include <errno.h>
11391main()
11392{
11393 char **w, *wtmplist[] = { "/var/log/lastlogx", "/var/adm/lastlogx", NULL };
11394 FILE *a, *f=fopen("conftestval", "w");
11395 if (!f) exit(1);
11396#ifdef LASTLOGX_FILE
11397 fprintf(f, "%s\n", LASTLOGX_FILE);
11398 exit(0);
11399#endif
11400#ifdef _PATH_LASTLOGX
11401 fprintf(f, "%s\n", _PATH_LASTLOGX);
11402 exit(0);
11403#endif
11404 for (w = wtmplist; *w; w++) {
11405 if ((a = fopen(*w, "r")) != NULL || errno == EACCES) {
11406 fprintf(f, "%s\n", *w);
11407 exit(0);
11408 }
11409 }
11410 exit(0);
11411}
11412_ACEOF
11413rm -f conftest$ac_exeext
11414if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11415 (eval $ac_link) 2>&5
11416 ac_status=$?
11417 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11418 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
11419 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11420 (eval $ac_try) 2>&5
11421 ac_status=$?
11422 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11423 (exit $ac_status); }; }; then
11424 rxvt_cv_path_lastlogx=`cat conftestval`
11425else
11426 echo "$as_me: program exited with status $ac_status" >&5
11427echo "$as_me: failed program was:" >&5
11428sed 's/^/| /' conftest.$ac_ext >&5
11429
11430( exit $ac_status )
11431rxvt_cv_path_lastlogx=
11432fi
11433rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11434fi
11435fi
11436echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlogx" >&5
11437echo "${ECHO_T}$rxvt_cv_path_lastlogx" >&6
11438if test x$rxvt_cv_path_lastlogx != x; then
11439
11440cat >>confdefs.h <<_ACEOF
11441#define RXVT_LASTLOGX_FILE "$rxvt_cv_path_lastlogx"
11442_ACEOF
11443
11444fi
11445 10187
11446 10188
11447echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5 10189echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5
11448echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6 10190echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6
11449if test "${rxvt_cv_path_ttytab+set}" = set; then 10191if test "${rxvt_cv_path_ttytab+set}" = set; then
11716#define HAVE_NL_LANGINFO 1 10458#define HAVE_NL_LANGINFO 1
11717_ACEOF 10459_ACEOF
11718 10460
11719fi 10461fi
11720 10462
11721echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5 10463SCM_RIGHTS_CHECK
11722echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
11723if test "${rxvt_can_pass_fds+set}" = set; then
11724 echo $ECHO_N "(cached) $ECHO_C" >&6
11725else
11726 cat >conftest.$ac_ext <<_ACEOF
11727/* confdefs.h. */
11728_ACEOF
11729cat confdefs.h >>conftest.$ac_ext
11730cat >>conftest.$ac_ext <<_ACEOF
11731/* end confdefs.h. */
11732
11733#include <sys/types.h>
11734#include <sys/socket.h>
11735
11736int
11737main ()
11738{
11739
11740{
11741 msghdr msg;
11742 iovec iov;
11743 char buf [100];
11744 char data = 0;
11745
11746 iov.iov_base = &data;
11747 iov.iov_len = 1;
11748
11749 msg.msg_iov = &iov;
11750 msg.msg_iovlen = 1;
11751 msg.msg_control = buf;
11752 msg.msg_controllen = sizeof buf;
11753
11754 cmsghdr *cmsg = CMSG_FIRSTHDR (&msg);
11755 cmsg->cmsg_level = SOL_SOCKET;
11756 cmsg->cmsg_type = SCM_RIGHTS;
11757 cmsg->cmsg_len = 100;
11758
11759 *(int *)CMSG_DATA (cmsg) = 5;
11760
11761 return sendmsg (3, &msg, 0);
11762}
11763
11764 ;
11765 return 0;
11766}
11767_ACEOF
11768rm -f conftest.$ac_objext conftest$ac_exeext
11769if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11770 (eval $ac_link) 2>conftest.er1
11771 ac_status=$?
11772 grep -v '^ *+' conftest.er1 >conftest.err
11773 rm -f conftest.er1
11774 cat conftest.err >&5
11775 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11776 (exit $ac_status); } &&
11777 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11778 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11779 (eval $ac_try) 2>&5
11780 ac_status=$?
11781 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11782 (exit $ac_status); }; } &&
11783 { ac_try='test -s conftest$ac_exeext'
11784 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11785 (eval $ac_try) 2>&5
11786 ac_status=$?
11787 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11788 (exit $ac_status); }; }; then
11789 rxvt_can_pass_fds=yes
11790else
11791 echo "$as_me: failed program was:" >&5
11792sed 's/^/| /' conftest.$ac_ext >&5
11793
11794rxvt_can_pass_fds=no
11795fi
11796rm -f conftest.err conftest.$ac_objext \
11797 conftest$ac_exeext conftest.$ac_ext
11798fi
11799echo "$as_me:$LINENO: result: $rxvt_can_pass_fds" >&5
11800echo "${ECHO_T}$rxvt_can_pass_fds" >&6
11801if test x$rxvt_can_pass_fds = xyes; then
11802
11803cat >>confdefs.h <<\_ACEOF
11804#define HAVE_UNIX_FDPASS 1
11805_ACEOF
11806
11807else
11808 { { echo "$as_me:$LINENO: error: urxvt requires unix-compliant filehandle passing ability" >&5
11809echo "$as_me: error: urxvt requires unix-compliant filehandle passing ability" >&2;}
11810 { (exit 1); exit 1; }; }
11811fi
11812 10464
11813echo "$as_me:$LINENO: checking for broken XIM callback" >&5 10465echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11814echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6 10466echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6
11815if test "${rxvt_broken_ximcb+set}" = set; then 10467if test "${rxvt_broken_ximcb+set}" = set; then
11816 echo $ECHO_N "(cached) $ECHO_C" >&6 10468 echo $ECHO_N "(cached) $ECHO_C" >&6
11866#define XIMCB_PROTO_BROKEN 1 10518#define XIMCB_PROTO_BROKEN 1
11867_ACEOF 10519_ACEOF
11868 10520
11869fi 10521fi
11870 10522
11871if test x$ac_cv_func_getpt = xno -a x$ac_cv_func_posix_openpt = xno; then 10523PTY_CHECK
10524
10525if test x$support_xft = xyes; then
10526 # Extract the first word of "pkg-config", so it can be a program name with args.
10527set dummy pkg-config; ac_word=$2
11872 echo "$as_me:$LINENO: checking for openpty" >&5 10528echo "$as_me:$LINENO: checking for $ac_word" >&5
11873echo $ECHO_N "checking for openpty... $ECHO_C" >&6 10529echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
11874if test "${ac_cv_func_openpty+set}" = set; then 10530if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
11875 echo $ECHO_N "(cached) $ECHO_C" >&6 10531 echo $ECHO_N "(cached) $ECHO_C" >&6
11876else 10532else
11877 cat >conftest.$ac_ext <<_ACEOF 10533 case $PKG_CONFIG in
11878/* confdefs.h. */ 10534 [\\/]* | ?:[\\/]*)
11879_ACEOF 10535 ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
11880cat confdefs.h >>conftest.$ac_ext 10536 ;;
11881cat >>conftest.$ac_ext <<_ACEOF 10537 *)
11882/* end confdefs.h. */ 10538 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
11883/* Define openpty to an innocuous variant, in case <limits.h> declares openpty. 10539for as_dir in $PATH
11884 For example, HP-UX 11i <limits.h> declares gettimeofday. */ 10540do
11885#define openpty innocuous_openpty 10541 IFS=$as_save_IFS
10542 test -z "$as_dir" && as_dir=.
10543 for ac_exec_ext in '' $ac_executable_extensions; do
10544 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
10545 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
10546 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
10547 break 2
10548 fi
10549done
10550done
11886 10551
11887/* System header to define __stub macros and hopefully few prototypes, 10552 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
11888 which can conflict with char openpty (); below. 10553 ;;
11889 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 10554esac
11890 <limits.h> exists even on freestanding compilers. */ 10555fi
10556PKG_CONFIG=$ac_cv_path_PKG_CONFIG
11891 10557
11892#ifdef __STDC__ 10558if test -n "$PKG_CONFIG"; then
11893# include <limits.h> 10559 echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
10560echo "${ECHO_T}$PKG_CONFIG" >&6
11894#else 10561else
11895# include <assert.h>
11896#endif
11897
11898#undef openpty
11899
11900/* Override any gcc2 internal prototype to avoid an error. */
11901#ifdef __cplusplus
11902extern "C"
11903{
11904#endif
11905/* We use char because int might match the return type of a gcc2
11906 builtin and then its argument prototype would still apply. */
11907char openpty ();
11908/* The GNU C library defines this for functions which it implements
11909 to always fail with ENOSYS. Some functions are actually named
11910 something starting with __ and the normal name is an alias. */
11911#if defined (__stub_openpty) || defined (__stub___openpty)
11912choke me
11913#else
11914char (*f) () = openpty;
11915#endif
11916#ifdef __cplusplus
11917}
11918#endif
11919
11920int
11921main ()
11922{
11923return f != openpty;
11924 ;
11925 return 0;
11926}
11927_ACEOF
11928rm -f conftest.$ac_objext conftest$ac_exeext
11929if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11930 (eval $ac_link) 2>conftest.er1
11931 ac_status=$?
11932 grep -v '^ *+' conftest.er1 >conftest.err
11933 rm -f conftest.er1
11934 cat conftest.err >&5
11935 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11936 (exit $ac_status); } &&
11937 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11938 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11939 (eval $ac_try) 2>&5
11940 ac_status=$?
11941 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11942 (exit $ac_status); }; } &&
11943 { ac_try='test -s conftest$ac_exeext'
11944 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11945 (eval $ac_try) 2>&5
11946 ac_status=$?
11947 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11948 (exit $ac_status); }; }; then
11949 ac_cv_func_openpty=yes
11950else
11951 echo "$as_me: failed program was:" >&5
11952sed 's/^/| /' conftest.$ac_ext >&5
11953
11954ac_cv_func_openpty=no
11955fi
11956rm -f conftest.err conftest.$ac_objext \
11957 conftest$ac_exeext conftest.$ac_ext
11958fi
11959echo "$as_me:$LINENO: result: $ac_cv_func_openpty" >&5 10562 echo "$as_me:$LINENO: result: no" >&5
11960echo "${ECHO_T}$ac_cv_func_openpty" >&6 10563echo "${ECHO_T}no" >&6
11961if test $ac_cv_func_openpty = yes; then 10564fi
11962 : 10565
11963else 10566 # Extract the first word of "xft-config", so it can be a program name with args.
10567set dummy xft-config; ac_word=$2
11964 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5 10568echo "$as_me:$LINENO: checking for $ac_word" >&5
11965echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6 10569echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
11966if test "${ac_cv_lib_util_openpty+set}" = set; then 10570if test "${ac_cv_path_XFT_CONFIG+set}" = set; then
11967 echo $ECHO_N "(cached) $ECHO_C" >&6 10571 echo $ECHO_N "(cached) $ECHO_C" >&6
11968else 10572else
11969 ac_check_lib_save_LIBS=$LIBS 10573 case $XFT_CONFIG in
11970LIBS="-lutil $LIBS" 10574 [\\/]* | ?:[\\/]*)
11971cat >conftest.$ac_ext <<_ACEOF 10575 ac_cv_path_XFT_CONFIG="$XFT_CONFIG" # Let the user override the test with a path.
11972/* confdefs.h. */
11973_ACEOF
11974cat confdefs.h >>conftest.$ac_ext
11975cat >>conftest.$ac_ext <<_ACEOF
11976/* end confdefs.h. */
11977
11978/* Override any gcc2 internal prototype to avoid an error. */
11979#ifdef __cplusplus
11980extern "C"
11981#endif
11982/* We use char because int might match the return type of a gcc2
11983 builtin and then its argument prototype would still apply. */
11984char openpty ();
11985int
11986main ()
11987{
11988openpty ();
11989 ; 10576 ;;
11990 return 0; 10577 *)
11991} 10578 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
11992_ACEOF 10579for as_dir in $PATH
11993rm -f conftest.$ac_objext conftest$ac_exeext 10580do
11994if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 10581 IFS=$as_save_IFS
11995 (eval $ac_link) 2>conftest.er1 10582 test -z "$as_dir" && as_dir=.
11996 ac_status=$? 10583 for ac_exec_ext in '' $ac_executable_extensions; do
11997 grep -v '^ *+' conftest.er1 >conftest.err 10584 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
11998 rm -f conftest.er1 10585 ac_cv_path_XFT_CONFIG="$as_dir/$ac_word$ac_exec_ext"
11999 cat conftest.err >&5 10586 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12000 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10587 break 2
12001 (exit $ac_status); } && 10588 fi
12002 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err' 10589done
12003 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10590done
12004 (eval $ac_try) 2>&5
12005 ac_status=$?
12006 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12007 (exit $ac_status); }; } &&
12008 { ac_try='test -s conftest$ac_exeext'
12009 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12010 (eval $ac_try) 2>&5
12011 ac_status=$?
12012 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12013 (exit $ac_status); }; }; then
12014 ac_cv_lib_util_openpty=yes
12015else
12016 echo "$as_me: failed program was:" >&5
12017sed 's/^/| /' conftest.$ac_ext >&5
12018 10591
12019ac_cv_lib_util_openpty=no 10592 test -z "$ac_cv_path_XFT_CONFIG" && ac_cv_path_XFT_CONFIG="no"
10593 ;;
10594esac
12020fi 10595fi
12021rm -f conftest.err conftest.$ac_objext \ 10596XFT_CONFIG=$ac_cv_path_XFT_CONFIG
12022 conftest$ac_exeext conftest.$ac_ext
12023LIBS=$ac_check_lib_save_LIBS
12024fi
12025echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12026echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12027if test $ac_cv_lib_util_openpty = yes; then
12028 LIBS="$LIBS -lutil"
12029fi
12030 10597
12031fi 10598if test -n "$XFT_CONFIG"; then
12032 10599 echo "$as_me:$LINENO: result: $XFT_CONFIG" >&5
12033fi 10600echo "${ECHO_T}$XFT_CONFIG" >&6
12034
12035echo "$as_me:$LINENO: checking for pty/tty type" >&5
12036echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6
12037if test "${rxvt_cv_ptys+set}" = set; then
12038 echo $ECHO_N "(cached) $ECHO_C" >&6
12039else 10601else
12040 if test x$ac_cv_func_openpty = xyes -o x$ac_cv_lib_util_openpty = xyes; then 10602 echo "$as_me:$LINENO: result: no" >&5
12041 rxvt_cv_ptys=OPENPTY 10603echo "${ECHO_T}no" >&6
12042 else if test x$ac_cv_func_getpt = xyes; then 10604fi
12043 rxvt_cv_ptys=GLIBC 10605
12044 else if test x$ac_cv_func_posix_openpt = xyes; then 10606 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then
12045 rxvt_cv_ptys=POSIX 10607 LIBS="$LIBS `$PKG_CONFIG xft --libs`"
12046 else if test x$ac_cv_func__getpty = xyes; then 10608 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`"
12047 rxvt_cv_ptys=SGI4
12048 else if test -c /dev/ttyp20; then
12049 rxvt_cv_ptys=SCO
12050 else if test -c /dev/ptym/clone; then
12051 rxvt_cv_ptys=HPUX
12052 else if test -c /dev/ptc -a -c /dev/pts; then
12053 rxvt_cv_ptys=PTC
12054 else if test -c /dev/ptc -a -d /dev/pts; then
12055 rxvt_cv_ptys=PTC
12056 else if test -c /dev/ptmx -a -c /dev/pts/0; then
12057 rxvt_cv_ptys=STREAMS
12058 else if test x$ac_cv_func_grantpt = xyes && test x$ac_cv_func_unlockpt = xyes; then
12059 rxvt_cv_ptys=STREAMS
12060 else 10609 else
12061 rxvt_cv_ptys=BSD 10610 if test $XFT_CONFIG != no; then
12062fi 10611 LIBS="$LIBS `$XFT_CONFIG --libs`"
12063fi 10612 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`"
12064fi 10613 fi
12065fi 10614 fi
12066fi
12067fi
12068fi
12069fi
12070fi
12071fi
12072
12073fi
12074echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5
12075echo "${ECHO_T}$rxvt_cv_ptys" >&6
12076
12077if test x$rxvt_cv_ptys = xGLIBC; then
12078
12079cat >>confdefs.h <<\_ACEOF
12080#define PTYS_ARE_GETPT 1
12081_ACEOF
12082
12083fi
12084if test x$rxvt_cv_ptys = xPOSIX; then
12085
12086cat >>confdefs.h <<\_ACEOF
12087#define PTYS_ARE_POSIX 1
12088_ACEOF
12089
12090fi
12091if test x$rxvt_cv_ptys = xOPENPTY; then
12092
12093cat >>confdefs.h <<\_ACEOF
12094#define PTYS_ARE_OPENPTY 1
12095_ACEOF
12096
12097fi
12098if test x$rxvt_cv_ptys = xSCO; then
12099
12100cat >>confdefs.h <<\_ACEOF
12101#define PTYS_ARE_NUMERIC 1
12102_ACEOF
12103
12104fi
12105if test x$rxvt_cv_ptys = xSTREAMS; then
12106
12107cat >>confdefs.h <<\_ACEOF
12108#define PTYS_ARE_PTMX 1
12109_ACEOF
12110
12111fi
12112if test x$rxvt_cv_ptys = xPTC; then
12113
12114cat >>confdefs.h <<\_ACEOF
12115#define PTYS_ARE_PTC 1
12116_ACEOF
12117
12118fi
12119if test x$rxvt_cv_ptys = xSGI4; then
12120
12121cat >>confdefs.h <<\_ACEOF
12122#define PTYS_ARE__GETPTY 1
12123_ACEOF
12124
12125fi
12126if test x$rxvt_cv_ptys = xHPUX; then
12127
12128cat >>confdefs.h <<\_ACEOF
12129#define PTYS_ARE_CLONE 1
12130_ACEOF
12131
12132fi
12133if test x$rxvt_cv_ptys = xBSD -o x$rxvt_cv_ptys = xHPUX -o x$rxvt_cv_ptys = xPOSIX; then
12134
12135cat >>confdefs.h <<\_ACEOF
12136#define PTYS_ARE_SEARCHED 1
12137_ACEOF
12138
12139fi
12140
12141
12142{ echo "$as_me:$LINENO: checking for pty ranges..." >&5
12143echo "$as_me: checking for pty ranges..." >&6;}
12144ptys=`echo /dev/pty??`
12145pch1=`echo $ptys | tr ' ' '\012' | sed -e 's/^.*\(.\).$/\1/g' | sort -u | tr -d '\012'`
12146pch2=`echo $ptys | tr ' ' '\012' | sed -e 's/^.*\(.\)$/\1/g' | sort -u | tr -d '\012'`
12147if test x$pch1 != x; then
12148
12149cat >>confdefs.h <<_ACEOF
12150#define PTYCHAR1 "$pch1"
12151_ACEOF
12152
12153fi
12154if test x$pch2 != x; then
12155
12156cat >>confdefs.h <<_ACEOF
12157#define PTYCHAR2 "$pch2"
12158_ACEOF
12159
12160fi
12161
12162if test x$support_xft = xyes; then
12163 LIBS="$LIBS `pkg-config xft --libs`"
12164 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
12165 10615
12166 10616
12167for ac_header in X11/Xft/Xft.h 10617for ac_header in X11/Xft/Xft.h
12168do 10618do
12169as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 10619as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
13547s,@ac_ct_CXX@,$ac_ct_CXX,;t t 11997s,@ac_ct_CXX@,$ac_ct_CXX,;t t
13548s,@CPP@,$CPP,;t t 11998s,@CPP@,$CPP,;t t
13549s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t 11999s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
13550s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t 12000s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
13551s,@INSTALL_DATA@,$INSTALL_DATA,;t t 12001s,@INSTALL_DATA@,$INSTALL_DATA,;t t
12002s,@EGREP@,$EGREP,;t t
13552s,@LINKER@,$LINKER,;t t 12003s,@LINKER@,$LINKER,;t t
13553s,@CXXCPP@,$CXXCPP,;t t
13554s,@EGREP@,$EGREP,;t t
13555s,@INSTALL_LIBRXVT@,$INSTALL_LIBRXVT,;t t 12004s,@INSTALL_LIBRXVT@,$INSTALL_LIBRXVT,;t t
13556s,@RXVTNAME@,$RXVTNAME,;t t 12005s,@RXVTNAME@,$RXVTNAME,;t t
13557s,@MV@,$MV,;t t 12006s,@MV@,$MV,;t t
13558s,@RM@,$RM,;t t 12007s,@RM@,$RM,;t t
13559s,@CP@,$CP,;t t 12008s,@CP@,$CP,;t t
13560s,@LN@,$LN,;t t 12009s,@LN@,$LN,;t t
13561s,@SED@,$SED,;t t 12010s,@SED@,$SED,;t t
13562s,@ECHO@,$ECHO,;t t 12011s,@ECHO@,$ECHO,;t t
13563s,@CMP@,$CMP,;t t 12012s,@CMP@,$CMP,;t t
13564s,@TIC@,$TIC,;t t 12013s,@TIC@,$TIC,;t t
12014s,@CXXCPP@,$CXXCPP,;t t
13565s,@X_CFLAGS@,$X_CFLAGS,;t t 12015s,@X_CFLAGS@,$X_CFLAGS,;t t
13566s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t 12016s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t
13567s,@X_LIBS@,$X_LIBS,;t t 12017s,@X_LIBS@,$X_LIBS,;t t
13568s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t 12018s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t
13569s,@XPM_CPPFLAGS@,$XPM_CPPFLAGS,;t t 12019s,@XPM_CPPFLAGS@,$XPM_CPPFLAGS,;t t
13573s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 12023s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
13574s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 12024s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
13575s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 12025s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
13576s,@rxvt_intp_define@,$rxvt_intp_define,;t t 12026s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13577s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 12027s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
12028s,@PKG_CONFIG@,$PKG_CONFIG,;t t
12029s,@XFT_CONFIG@,$XFT_CONFIG,;t t
13578s,@PERL@,$PERL,;t t 12030s,@PERL@,$PERL,;t t
13579s,@PERLLIB@,$PERLLIB,;t t 12031s,@PERLLIB@,$PERLLIB,;t t
13580s,@PERLFLAGS@,$PERLFLAGS,;t t 12032s,@PERLFLAGS@,$PERLFLAGS,;t t
13581s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t 12033s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13582s,@IF_PERL@,$IF_PERL,;t t 12034s,@IF_PERL@,$IF_PERL,;t t
14116fi 12568fi
14117 12569
14118echo " 12570echo "
14119The following are set in config.h 12571The following are set in config.h
14120" 12572"
14121echo " pty/tty type: "$rxvt_cv_ptys
14122if test x$support_utmp != xyes; then 12573if test x$support_utmp != xyes; then
14123 echo " utmp support: disabled" 12574 echo " utmp support: disabled"
14124 echo 12575 echo
14125else 12576else
14126 echo " utmp support: enabled 12577 echo " utmp support: enabled
14143echo " resource class: $RESCLASS" 12594echo " resource class: $RESCLASS"
14144if test x$RESFALLBACK != x; then 12595if test x$RESFALLBACK != x; then
14145 echo " resource class fallback: $RESFALLBACK" 12596 echo " resource class fallback: $RESFALLBACK"
14146fi 12597fi
14147echo 12598echo
14148if test x$rxvt_cv_ptys = xUNKNOWN; then
14149 echo ".----------------------------------------------------------------."
14150 echo ". WARNING: could not determine pty/tty type. Do not build until ."
14151 echo ". the appropriate PTYS_ARE_* is defined in config.h ."
14152 echo ".----------------------------------------------------------------."
14153fi
14154if test x$support_xpm = xneedsmanualspecification; then 12599if test x$support_xpm = xneedsmanualspecification; then
14155 echo ".----------------------------------------------------------------." 12600 echo ".----------------------------------------------------------------."
14156 echo ". WARNING: --enable-xpm-background was specified however the ." 12601 echo ". WARNING: --enable-xpm-background was specified however the ."
14157 echo ". XPM includes files and libraries could not be found. ." 12602 echo ". XPM includes files and libraries could not be found. ."
14158 echo ". XPM backgrounds are now being DISABLED! If you want ." 12603 echo ". XPM backgrounds are now being DISABLED! If you want ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines